from setuptools import setup, find_packages

with open('requirements.txt') as fin:
    requirements = fin.read()


def readme():
    with open('README.md') as f:
        return f.read()


setup(name='algowrap',
      version='2.2.0',
      description='This is a package for wrapping a given algorithm so that' +
                  'it can be part of mithoo',
      long_description=readme(),
      url='https://bitbucket.org/elucidatainc/algowrap',
      author='Sabu George, Pulkit Kumar',
      author_email='sabu.george@elucidata.io, pulkit.kumar@elucidata.io',
      packages=find_packages(),
      classifiers=[
        'Development Status :: Stable',
        'Intended Audience :: Elucidata Developers',
        'Natural Language :: English',
        'Topic :: Scientific :: Metabolomics',
        'Topic :: Text Processing :: Linguistic',
      ],
      include_package_data=True,
      zip_safe=False,
      install_requires=[
        requirements,
      ])
